Share or privatize the HackerOne connection
curl --request PATCH \
--url https://neo.api.projectdiscovery.io/api/v1/hackerone/connect/visibility \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/hackerone/connect/visibility"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/hackerone/connect/visibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Internal
Share or privatize the HackerOne connection
Choose whether the HackerOne connection is shared with your Neo team (team) or private to the person who connected it (private). Only that person can change sharing. New connections start private.
PATCH
/
api
/
v1
/
hackerone
/
connect
/
visibility
Share or privatize the HackerOne connection
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
team — shared with your Neo team; private — only the person who connected HackerOne
Available options:
team, private ⌘I

